<?php
/**
 * Sage includes
 *
 * The $sage_includes array determines the code library included in your theme.
 * Add or remove files to the array as needed. Supports child theme overrides.
 *
 * Please note that missing files will produce a fatal error.
 *
 * @link https://github.com/roots/sage/pull/1042
 */
$auto24_includes = [
  'lib/utils.php',                  // Utility functions
  'class-tgm-plugin-activation.php', //Plugin activation
  'lib/init.php',                   // Initial theme setup and constants
  'lib/wrapper.php',                // Theme wrapper class
  'lib/conditional-tag-check.php',  // ConditionalTagCheck class
  'lib/config.php',                 // Configuration
  'lib/assets.php',                 // Scripts and stylesheets
  'lib/titles.php',                 // Page titles
  'lib/extras.php',                 // Custom functions
  'lib/wp_bootstrap_navwalker.php', // Bootstrap Nav Walker
  'lib/acf.php',                    // ACF

];

foreach ($auto24_includes as $file) {
  if (!$filepath = locate_template($file)) {
    trigger_error(sprintf(__('Error locating %s for inclusion', 'autoprice24-bg-theme'), $file), E_USER_ERROR);
  }

  require_once $filepath;
}
unset($file, $filepath);
add_filter('comment_form_fields', 'reorder_comment_fields' );
function reorder_comment_fields( $fields ){

    $new_fields = array();

    $myorder = array('author','email','url','comment');

    foreach( $myorder as $key ){
        $new_fields[ $key ] = $fields[ $key ];
        unset( $fields[ $key ] );
    }
    if( $fields )
        foreach( $fields as $key => $val )
            $new_fields[ $key ] = $val;

    return $new_fields;
}