<?php

namespace Roots\Sage\Extras;

use Roots\Sage\Config;

/**
 * Add <body> classes
 */
function body_class($classes) {
  // Add page slug if it doesn't exist
  if (is_single() || is_page() && !is_front_page()) {
    if (!in_array(basename(get_permalink()), $classes)) {
      $classes[] = basename(get_permalink());
    }
  }

  // Add class if sidebar is active
  if (Config\display_sidebar()) {
    $classes[] = 'sidebar-primary';
  }

  return $classes;
}
add_filter('body_class', __NAMESPACE__ . '\\body_class');

/**
 * Clean up the_excerpt()
 */
function excerpt_more() {
  return ' &hellip; <a href="' . get_permalink() . '">' . __('Continued', 'autoprice24-bg-theme') . '</a>';
}
add_filter('excerpt_more', __NAMESPACE__ . '\\excerpt_more');

function new_excerpt_length() {
    return 55;
}
add_filter('excerpt_length', __NAMESPACE__ . '\\new_excerpt_length');

/* Custom ajax loader */
add_filter('wpcf7_ajax_loader', __NAMESPACE__ . '\\autoprice24bg_wpcf7_ajax_loader');
function autoprice24bg_wpcf7_ajax_loader () {
  return  get_stylesheet_directory_uri() . '/dist/images/ajax-loader.gif';
}