<?php
use Roots\Sage\Assets;

if( have_rows('sections') ):
  while ( have_rows('sections') ) : the_row();
    // Get the section type
    $section = get_sub_field('section_type'); ?>
    <div class="section <?php the_sub_field('section_type');?> <?php the_sub_field('additional_classes');?> <?php get_template_part('templates/section-background-colour'); ?>" <?php get_template_part('templates/section-background-image'); ?>>
      <div class="container">
        <?php
        // Display section type's content
        switch ($section) {

          // Single Block
          case 'single-block':
            get_template_part('templates/section-single-block');
            break;

          // Offer Block
          case 'offer-block':
            get_template_part('templates/section-offer-block');
            break;

          // Map Block
          case 'map':
            get_template_part('templates/section-map');
            break;

          // Slider Block
          case 'slider':
            get_template_part('templates/section-slider');
            break;

          // News Block
          case 'news':
            get_template_part('templates/section-subtitle');
            get_template_part('templates/section-news');
            break;

          // Title Block
          case 'title':
            get_template_part('templates/section-title');
            break;

          // Services Block
          case 'services':
            get_template_part('templates/section-subtitle');
            get_template_part('templates/section-services');
            break;

          // Default
          default:
            get_template_part('templates/section-content');
            break;
        } ?>
      </div>
    </div><!-- /.section -->
    <?php
  endwhile;
endif;
?>
