<footer class="content-info">
  <div class="container-fluid">
    <?php $brand_icons = get_field('footer_brand_icons', 'option'); ?>
    <?php if (!empty($brand_icons)) : ?>
      <div class="brands">
        <div class="container">
          <?php foreach ($brand_icons as $brand) : ?>
            <div class="brand-icon-block"
                 style="background: url('<?php echo $brand['brand_icon_image']; ?>') no-repeat center;"></div>
          <?php endforeach; ?>
        </div>
      </div>
    <?php endif; ?>
    <div class="menu">
      <div class="container">
        <?php if (has_nav_menu('footer_navigation')) :
          wp_nav_menu([
            'theme_location' => 'footer_navigation',
            'walker' => new wp_bootstrap_navwalker(),
            'menu_class' => 'nav navbar-nav',
          ]);
        endif; ?>
        <div class="footer-info">
          <div class="payment-methods">
            <span class="subtitle"><?php _e('Accept payment by:', 'autoprice24-bg-theme'); ?></span>

            <div class="visa"></div>
            <div class="mc"></div>
          </div>
          <?php $social_links = get_field('footer_social_links', 'options'); ?>
          <?php if (!empty($social_links)): ?>
            <div class="social-links">
              <span class="subtitle"><?php _e('Follow us on:', 'autoprice24-bg-theme'); ?></span>
              <?php foreach ($social_links as $link) : ?>
                <?php echo $link['link']; ?>
              <?php endforeach; ?>
            </div>
          <?php endif; ?>
          <div class="contact-phone">
            <span class="subtitle"><?php _e('Contacts:', 'autoprice24-bg-theme'); ?></span>
            <span class="phone"><?php echo get_field('footer_phone', 'options'); ?></span>
          </div>
        </div>
        <?php $copyright = get_field('footer_copyright', 'option'); ?>
        <?php if (!empty($copyright)): ?>
          <div class="copyright"><?php echo str_replace('{year}', date('Y'), $copyright); ?></div>
        <?php endif; ?>
        <div class="platform">
          <a href="http://autoprice24.com/" target="_blank">
            <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/dist/images/autoprice24-logo-light.png"
                 alt="<?php _e('Work on platform Autoprice24', 'autoprice24-bg-theme'); ?>">
          </a>
        </div>

      </div>
    </div>
  </div>
</footer>
