<header class="banner navbar navbar-default" role="banner">
  <div class="container">
    <div class="row">
      <div class="navbar-header">
        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target=".navbar-collapse">
          <span class="sr-only"><?php echo __('Toggle navigation', 'autoprice24-bg-theme'); ?></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <?php $image = wp_get_attachment_image_src(get_field('header_logo', 'option'), 'full'); ?>
        <a
          class="brand"
          href="<?php echo esc_url(home_url('/')); ?>"
          title="<?php bloginfo('name') ?>"
          style="background-image: url('<?php echo $image[0]; ?>'); width: <?php echo $image[1]; ?>px; height: <?php echo $image[2] ?>px;"
        >
          <?php bloginfo('name'); ?>
        </a>
      </div>
      <nav class="collapse navbar-collapse" role="navigation">
        <?php
        if (has_nav_menu('primary_navigation')) :
          wp_nav_menu([
            'theme_location' => 'primary_navigation',
            'walker' => new wp_bootstrap_navwalker(),
            'menu_class' => 'nav navbar-nav',
          ]);
        endif;
        ?>
      </nav>
      <?php if (is_page() && in_array(get_the_ID(), get_field('header_contact_show_pages', 'option'))) : ?>
        <div class="navbar-info">
          <div class="store-info">
            <span class="name"><?php echo get_field('header_store_name', 'option'); ?></span>
            <span class="address"><?php echo get_field('header_address', 'option'); ?></span>
          </div>
          <div class="contact-info">
            <?php $phone = get_field('header_phone', 'option'); ?>
            <?php if (!empty($phone)): ?>
              <span class="phone"><?php echo $phone; ?></span>
            <?php endif; ?>
            <?php $description = get_field('header_phone_description', 'option'); ?>
            <?php if (!empty($description)): ?>
              <span class="description"><?php echo $description; ?></span>
            <?php endif; ?>
          </div>
        </div>
      <?php endif; ?>

      <div class="hidden-cart">
        <?php echo do_shortcode(get_field('header_hidden_autoprice24_cart_shortcode', 'option')); ?>
      </div>
    </div>
  </div>
</header>